% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nhanes.R
\docType{data}
\name{nhanes}
\alias{nhanes}
\title{This is data from NHANES 2003–2004}
\format{
An object of class \code{data.frame} with 800 rows and 14 columns.
}
\source{
\url{https://www.cdc.gov/nchs/nhanes/index.htm}
}
\usage{
nhanes
}
\description{
A data set containing outcome triglyceride, ten exposures, and
three confounders.
}
\details{
\describe{
\item{triglyceride}{outcome triglyceride level, unite mg/dl}
\item{a1.trans.b.carotene}{exposure: trans-b-carotene (ug/dL)}
\item{a5.Retinol}{exposure: retinol (ug/dL)}
\item{a6.g.tocopherol}{exposure: g-tocopherol (ug/dL)}
\item{a7.a.Tocopherol}{exposure: a-tocopherol (ug/dL)}
\item{a10.PCB99}{exposure: Polychlorinated Biphenyl (PCB) 99 Lipid Adj (ng/g)}
\item{a13.PCB156}{exposure: Polychlorinated Biphenyl (PCB) 156 Lipid Adj (ng/g)}
\item{a19.PCB206}{exposure: Polychlorinated Biphenyl (PCB) 206 Lipid Adj (ng/g)}
\item{a20.3.3.4.4.5.pncb}{exposure: 3,3,4,4,5-Pentachlorobiphenyl (pncb) Lipid Adj (pg/g)}
\item{a21.1.2.3.4.7.8.hxcdf}{exposure: 1,2,3,4,7,8-hxcdf Lipid Adj (pg/g)}
\item{a22.2.3.4.6.7.8.hxcdf}{exposure: 2,3,4,6,7,8-hxcdf Lipid Adj (pg/g)}
\item{age}{subject age at measurement}
\item{sex}{subject sex}
\item{race}{subject race}
}
}
\author{
Yuyan Wang \email{yuyan.wang@nyumc.org}
}
\keyword{datasets}
